package p.studio.compiler;

import p.studio.compiler.messages.BuilderPipelineConfig;
import p.studio.compiler.models.BuilderPipelineContext;
import p.studio.compiler.workspaces.BuilderPipelineService;
import p.studio.utilities.PConstants;
import p.studio.utilities.logs.LogAggregator;

public class Compile {
    public static void main(String[] args) {
        final var logAggregator = LogAggregator.stdout();
        final var config = new BuilderPipelineConfig(false, "test-projects/%s".formatted(PConstants.PROJECT));
        final var context = BuilderPipelineContext.fromConfig(config);
        BuilderPipelineService.INSTANCE.build(context, logAggregator);
    }
}
